#delimit;
set more off;
cap log close;
global dd "C:\Users\Lecturer\Desktop";

use "$dd\s16.dta", clear;

*sort qno id;

*label drop q2_1;

bys qno: egen edumax=max(q2_1);

sort q1_3;
by q1_3: tab q2_1;

forvalues i=1/8 {;
	gen edu`i'=(q2_1==`i');
};

gen eduyears=0*edu1+4*edu2+9*edu3+11*edu4+12*edu5+
				12*edu6+16*edu7+20*edu8;





